org.apache.lucene.codecs.pulsing

## Class PulsingPostingsFormat

- java.lang.Object
- - org.apache.lucene.codecs.PostingsFormat
  - - org.apache.lucene.codecs.pulsing.PulsingPostingsFormat

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

Direct Known Subclasses:
  Pulsing41PostingsFormat

    public abstract class PulsingPostingsFormat
    extends PostingsFormat

This postings format "inlines" the postings for terms that have low docFreq. It wraps another postings format, which is used for writing the non-inlined terms.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

### Fields inherited from class org.apache.lucene.codecs.PostingsFormat

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`PulsingPostingsFormat(String name, PostingsBaseFormat wrappedPostingsBaseFormat, int freqCutoff)`
`PulsingPostingsFormat(String name, PostingsBaseFormat wrappedPostingsBaseFormat, int freqCutoff, int minBlockSize, int maxBlockSize)` Terms with freq <= freqCutoff are inlined into terms dict.

### Method Summary

Methods
`FieldsConsumer` `fieldsConsumer(SegmentWriteState state)`
`FieldsProducer` `fieldsProducer(SegmentReadState state)`
`int` `getFreqCutoff()`
`String` `toString()`

### Methods inherited from class org.apache.lucene.codecs.PostingsFormat

`availablePostingsFormats, forName, getName, reloadPostingsFormats`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PulsingPostingsFormat

    public PulsingPostingsFormat(String name,
                         PostingsBaseFormat wrappedPostingsBaseFormat,
                         int freqCutoff)

#### PulsingPostingsFormat

    public PulsingPostingsFormat(String name,
                         PostingsBaseFormat wrappedPostingsBaseFormat,
                         int freqCutoff,
                         int minBlockSize,
                         int maxBlockSize)

Terms with freq <= freqCutoff are inlined into terms dict.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `PostingsFormat`

#### fieldsConsumer

    public FieldsConsumer fieldsConsumer(SegmentWriteState state)
                                  throws IOException

Specified by:
  `fieldsConsumer` in class `PostingsFormat`
Throws:
  `IOException`

#### fieldsProducer

    public FieldsProducer fieldsProducer(SegmentReadState state)
                                  throws IOException

Specified by:
  `fieldsProducer` in class `PostingsFormat`
Throws:
  `IOException`

#### getFreqCutoff

    public int getFreqCutoff()